
//
// To jest przykładowy kod z podrozdziału 14.1.3 „Nazewnictwo” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"  // Dołącza naszą bibliotekę okien.
#include "Graph.h"          // Dołącza do narzędzi graficznych.

//------------------------------------------------------------------------------

void f(Simple_window& w)
{
    Rectangle r(Point(100,200),50,30);
    w.attach(r);
}    // Tu kończy się cykl życia obiektu r.

//------------------------------------------------------------------------------

int main()
try
{
    Simple_window win(Point(100,100),600,400,"Moje okno");

    Open_polyline opl;
    opl.add(Point(100,100));
    opl.add(Point(150,200));
    opl.add(Point(250,250));

    win.attach(opl);
    // ...
    f(win);        // proszenie się o kłopoty
    // ...
    win.wait_for_button();
}
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
